apply plugin: 'com.android.application'
apply plugin: 'android-apt'

android {
    compileSdkVersion 24
    buildToolsVersion "24.0.0"

    dexOptions {
        incremental true
        preDexLibraries false
        jumboMode true
        javaMaxHeapSize "10g"
    }

    lintOptions {
        checkReleaseBuilds false
        abortOnError false
    }
    
    defaultConfig {
        applicationId "ai.pai.lensman"
        minSdkVersion 14
        targetSdkVersion 24
        versionCode 1
        versionName "1.0"
        buildConfigField "boolean", "isTestMode", "true"
    }
    signingConfigs {
        releaseConfig {
            storeFile file("paiai.keystore")
            storePassword "chengzhenyu"
            keyAlias "paiai"
            keyPassword "chengzhenyu"
        }
    }

    buildTypes {
        release {
            minifyEnabled true
            zipAlignEnabled true
            shrinkResources true
            debuggable false
            jniDebuggable false
            buildConfigField "boolean", "isTestMode", "false"
            proguardFile 'proguard-project.txt'
            signingConfig signingConfigs.releaseConfig
        }
        debug {
            zipAlignEnabled false
            minifyEnabled false
            shrinkResources false
            buildConfigField "boolean", "isTestMode", "true"
            signingConfig signingConfigs.releaseConfig
        }
    }
    sourceSets {
        main {
            aidl.srcDirs = ['src/main/java']
        }
    }

}

dependencies {
    compile project(path: ':common')
    compile project(path: ':views')
    compile fileTree(include: ['*.jar'], dir: 'libs')
    compile 'com.android.support:appcompat-v7:24.0.0'
    compile 'com.android.support:recyclerview-v7:24.0.0'
    compile 'com.android.support:design:24.0.0'
    compile 'com.jakewharton:butterknife:8.2.1'
    apt 'com.jakewharton:butterknife-compiler:8.2.1'
    compile 'com.google.code.gson:gson:2.7'
    compile files('libs/universal-image-loader-1.9.4.jar')
    compile files('libs/libammsdk.jar')
    compile files('libs/commons-lang-2.6.jar')
    compile files('libs/gprintersdkv2.1.4.jar')
    compile files('libs/jcc-bate-0.7.3.jar')
}
